For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create a checkout.com gateway

How to create a checkout.com gateway via API

To create a new checkout.com gateway, send a POST request to the /api/checkout_com_gateways endpoint, passing the resource arguments in the request body.

Request

POST https://yourdomain.commercelayer.io/api/checkout_com_gateways

Arguments

Body Parameter
Type
Required

type

string

Required

attributes.name

string

Required

attributes.force_payments

boolean

Optional, default is 'false'

attributes._disable

boolean

Optional

attributes._enable

boolean

Optional

attributes.reference

string

Optional

attributes.reference_origin

string

Optional

attributes.metadata

object

Optional

attributes._check

boolean

Optional

attributes.secret_key

string

Required

attributes.public_key

string

Required

relationships.checkout_com_payments

array

Optional

Example

The following request creates a new checkout.com gateway:

On success, the API responds with a 201 Created status code, returning the created resource object:

Last updated